initInstall("Mozilla Tinderstatus Extension", "/mozdev/tinderstatus", "0.2.8");

var chromeDir = getFolder("Profile", "chrome");

// Specify the directory into which we're going to install the extension.
var installDir = getFolder(chromeDir, "tinderstatus");
setPackageFolder(installDir);

// Specify the directory into which we're going to install the content files,
// and prepare them for installation there.
var contentDir = getFolder(installDir, "content");
addDirectory("", "content", contentDir, "");

// Register the content files with the chrome registry.
registerChrome(CONTENT | PROFILE_CHROME, contentDir);

// Try to perform the install, but cancel if we fail.
var result = performInstall();
if ( result != SUCCESS ) cancelInstall(result);
